Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 710952

Summary: games-emulation/libretro-snes9x-0.0.1_pre20180723 : ebuild uses colon (:) as a sed delimiter
Product: Gentoo Linux Reporter: Toralf Förster <toralf>
Component: Current packagesAssignee: Craig Andrews <candrews>
Status: RESOLVED FIXED    
Severity: normal    
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 685160    
Attachments: emerge-info.txt
emerge-history.txt
environment
etc.portage.tbz2
games-emulation:libretro-snes9x-0.0.1_pre20180723:20200227-034451.log

Description Toralf Förster gentoo-dev 2020-02-27 17:54:30 UTC
>>> Unpacking source...
>>> Unpacking libretro-snes9x-0.0.1_pre20180723.tar.gz to /var/tmp/portage/games-emulation/libretro-snes9x-0.0.1_pre20180723/work
>>> Source unpacked in /var/tmp/portage/games-emulation/libretro-snes9x-0.0.1_pre20180723/work
>>> Preparing source in /var/tmp/portage/games-emulation/libretro-snes9x-0.0.1_pre20180723/work/snes9x-d2aefd2f73d9f9241ede79c19598ecaa7079f82a/libretro ...
sed: -e expression #2, char 86: unknown option to `s'
 * ERROR: games-emulation/libretro-snes9x-0.0.1_pre20180723::gentoo failed (prepare phase):

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_hardened-libressl-20200223-130532

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.6
  [3]   python3.7 (fallback)
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.41.0 *


ghc:
The Glorious Glasgow Haskell Compilation System, version 8.0.2

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Wed, 26 Feb 2020 23:37:19 +0000

emerge -qpvO games-emulation/libretro-snes9x
[ebuild  N    ] games-emulation/libretro-snes9x-0.0.1_pre20180723  USE="-debug"
Comment 1 Toralf Förster gentoo-dev 2020-02-27 17:54:33 UTC
Created attachment 616228 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-02-27 17:54:36 UTC
Created attachment 616230 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-02-27 17:54:39 UTC
Created attachment 616232 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-02-27 17:54:41 UTC
Created attachment 616234 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-02-27 17:54:44 UTC
Created attachment 616236 [details]
games-emulation:libretro-snes9x-0.0.1_pre20180723:20200227-034451.log
Comment 6 Larry the Git Cow gentoo-dev 2020-02-29 04:36:37 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cfe6000cf7e7e9d6140556384279f5a8d57cd8d0

commit cfe6000cf7e7e9d6140556384279f5a8d57cd8d0
Author:     Craig Andrews <candrews@gentoo.org>
AuthorDate: 2020-02-29 04:23:41 +0000
Commit:     Craig Andrews <candrews@gentoo.org>
CommitDate: 2020-02-29 04:35:42 +0000

    libretro-core.eclass: Use | instead of : as sed CLFAGS delimiter
    
    Signed-off-by: Craig Andrews <candrews@gentoo.org>
    Closes: https://bugs.gentoo.org/710952
    Closes: https://bugs.gentoo.org/710972
    Closes: https://bugs.gentoo.org/711048
    Closes: https://bugs.gentoo.org/710880

 eclass/libretro-core.eclass | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)